// required start
@import 'custom';
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';
// required end
@import "faqs";

.blue-gradient {
  background: linear-gradient(240.91deg, #1B63AA 10.39%, #0038AA 95.99%);
}

.lct {
  &__faq {
    position: relative;
    padding-bottom: 12rem;
    background: linear-gradient(180deg, rgba(227, 245, 255, .7) 79%, rgba(255, 255, 255, 1) 79%, rgba(255, 255, 255, 1) 100%);

    @include media-breakpoint-up(md) {
      background: linear-gradient(180deg, rgba(227, 245, 255, .7) 76%, rgba(255, 255, 255, 1) 76%, rgba(255, 255, 255, 1) 100%);
    }

    &::before {
      content: "";
      position: absolute;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;

      background-image: url(../images/faq-bg-mobile.png), url(../images/faq-bg-top-white-mobile.png), url(../images/faq-bg-mobile-3.png), url(../images/faq-bg-mobile-2.png), url(../images/faq-bg-mobile-1.png);
      background-position: 50% calc(100% + 64px), 0% 79%, 100% 30%, 0% 50%, 100% 70%;
      background-size: 100%, auto, auto, auto, auto;
      background-repeat: no-repeat;

      @include media-breakpoint-up(md) {
        background-image: url(../images/faq-bg-right-blue.png), url(../images/faq-bg.png), url(../images/faq-bg-top-white.png);
        background-position: 100% 126%, 50% calc(100% + 140px), 0% 76%;
        background-size: auto, auto, auto, 100%;
      }
    }

    &--hero {
      position: relative;

      min-height: 350px;

      &:before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #003da6;
        clip-path: ellipse(150% calc(55% + 64px) at 50% 0%);
        
        @include media-breakpoint-up(md) {
          background-image: url(../images/faq-bg-hero-left.png), url(../images/dreambig-bg-hero-right.png);
          background-repeat: no-repeat;
          background-position: 0% -35px, 100% -60%;
          clip-path: ellipse(70% calc(70% + 64px) at 50% 0%);
        }
      }

      h1 {
        font-family: 'display-2', serif;
        font-size: 32px;
      }

      p {
        font-size: 20px;

        @include media-breakpoint-up(lg) {
          font-size: 16px;
        }
      }

      &-form {
        input {
          width: 100%;
        }

        .input-group-btn {
          position: absolute;
          right: .5rem;
        }

        @include media-breakpoint-up(md) {
          width: 70%;
        }
      }
    }

    &--list {
      .card {

        &-text {
          margin-bottom: 2rem;
        }

        &-body {
          position: relative;
          border-radius: 24px;
          overflow: hidden;
          box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.2);

          .btn {
            position: absolute;
            left: 0;
            bottom: 0;
            border-radius: 0;
            font-weight: 600;
          }
        }
      }
    }
  }
}
